aboutsummaryrefslogtreecommitdiff
path: root/README.md
diff options
context:
space:
mode:
Diffstat (limited to 'README.md')
-rw-r--r--README.md58
1 files changed, 58 insertions, 0 deletions
diff --git a/README.md b/README.md
new file mode 100644
index 0000000..937817a
--- /dev/null
+++ b/README.md
@@ -0,0 +1,58 @@
+Unofficial Client for slackware.com
+===================================
+
+A minimalistic tool for interfacing with Slackware's mirrors and website from the command line.
+Use at your own risk.
+
+Note: Currently this project is pre-release and may be vulnerable to downgrade attacks.
+
+```
+slackware.com is an unofficial command line interface to Slackware's website.
+
+The commands are:
+
+ changelog
+ - show changes described in the Changelog since the last update
+ download
+ - download the given packages
+ list
+ - list Slackware mirrors
+ sync
+ - update knowledge about mirror's content
+ updates
+ - print all new and updated packages on mirror
+```
+
+Examples
+--------
+
+Download all updates:
+```
+slackware.com updates | xargs slackware.com download
+```
+
+Cron script to download updates and email changes to root:
+```
+#!/bin/sh
+set -e
+
+export QUIET=true
+export SLACKWARE_MIRROR=https://mirrors.kernel.org/slackware/slackware64-15.0/
+export PATH=$PATH:/usr/local/sbin
+
+TO_UPDATE="$(slackware.com updates)"
+if [ -n "$TO_UPDATE" ]; then
+ slackware.com updates | xargs slackware.com download
+ slackware.com changelog | mail -s "updates" root
+fi
+```
+
+Installation
+------------
+
+Download the slackware.com script, and copy it to /usr/local/sbin:
+
+```
+chmd +x slackware.com
+mv slackware.com /usr/local/sbin
+```